<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structmtb__light__sensor__t" kind="struct" language="C++" prot="public">
    <compoundname>mtb_light_sensor_t</compoundname>
    <includes local="no">mtb_light_sensor.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structmtb__light__sensor__t_1a7582a4ade59d1850b2e7653bd1e64fbd" kind="variable" mutable="no" prot="public" static="no">
        <type>cyhal_adc_channel_t</type>
        <definition>cyhal_adc_channel_t mtb_light_sensor_t::channel</definition>
        <argsstring />
        <name>channel</name>
        <briefdescription>
<para>ADC channel obj. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_LIGHT/sensor-light/mtb_light_sensor.h" bodystart="45" column="1" file="output/libs/COMPONENT_LIGHT/sensor-light/mtb_light_sensor.h" line="45" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure defining the pin and ADC channel used to interact with the light sensor. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="46" bodyfile="output/libs/COMPONENT_LIGHT/sensor-light/mtb_light_sensor.h" bodystart="43" column="1" file="output/libs/COMPONENT_LIGHT/sensor-light/mtb_light_sensor.h" line="44" />
    <listofallmembers>
      <member prot="public" refid="structmtb__light__sensor__t_1a7582a4ade59d1850b2e7653bd1e64fbd" virt="non-virtual"><scope>mtb_light_sensor_t</scope><name>channel</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>